lpFilt = designfilt('lowpassfir','PassbandFrequency',0.4, ...
         'StopbandFrequency',0.5,'PassbandRipple',1, ...
         'StopbandAttenuation',80,'DesignMethod','equiripple');


Hd = dfilt.dffir(lpFilt.Coefficients)
set(Hd, 'arithmetic', 'fixed')

